.. Cecilia5 documentation master file, created by
   sphinx-quickstart on Thu May 23 18:54:14 2013.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

Cecilia 5.4.0 documentation
=============================================

.. image:: /images/Cecilia_splash.png
   :scale: 75 %
   :align: center

Welcome to the Cecilia 5.4.0 documentation!

Cecilia is an audio signal processing environment. Cecilia lets you create
your own GUI (grapher, sliders, toggles, popup menus) using a simple syntax.
Cecilia comes with many original builtin modules for sound effects and synthesis.

Cecilia uses the pyo audio engine created for the Python programming language.
Pyo allows a powerful integration of the audio engine to the graphical interface.
Since it's a standard python module, there is no need to use an API to communicate
with the interface.

The graphical user interface
----------------------------

.. toctree::
   :maxdepth: 1

   src/intro/description
   src/intro/requirements
   src/configuration/preferences
   src/configuration/menubar
   src/configuration/midi-osc
   src/interface/interface

The audio processing tools available with Cecilia
---------------------------------------------------

.. toctree::
   :maxdepth: 2

   src/modules/index

The developement of custom audio processing tools
--------------------------------------------------


.. toctree::
   :maxdepth: 2

   src/api/index


Search this documentation
-----------------------------

* :ref:`search`

